import { OnInit } from '@angular/core';
import { TraxService } from '../../services/trax.service';
import { BehaviorSubject } from "rxjs";
import dayjs from "dayjs";
import { ToastService } from 'tango-app-ui-shared';
import { PageInfoService } from 'tango-app-ui-global';
import * as i0 from "@angular/core";
export declare class OrdersComponent implements OnInit {
    private sopService;
    private toastService;
    private pageInfo;
    dayjs: typeof dayjs;
    displayedColumns: string[];
    date: string;
    dataSource: any[];
    storeCodes: string;
    isAuthorized: 'AUTHORIZED' | 'UNAUTHORIZED';
    isCustomDate: (m: dayjs.Dayjs) => false | "invalid-date";
    selectedDateRange: any;
    tableApiState: BehaviorSubject<"initial" | "loading" | "loaded">;
    constructor(sopService: TraxService, toastService: ToastService, pageInfo: PageInfoService);
    ngOnInit(): void;
    setPageData(): void;
    getOrdersByDate(): void;
    onDateChange(event: any): void;
    updateOrder(): void;
    deleteOrder(id: string): void;
    sortTableData(event: any): void;
    sortObjectArray(dataArray: any[], sortConfig: {
        active: string;
        direction: 'asc' | 'desc' | '';
    }): any[];
    exportAsExcel(): void;
    removeExcludedKeys(dataArray: any[], excludeKeys: string[]): any[];
    replaceUnderscoreInKeys(dataArray: any[]): any[];
    static ɵfac: i0.ɵɵFactoryDeclaration<OrdersComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<OrdersComponent, "lib-orders", never, {}, {}, never, never, false, never>;
}
